#349 closed defect (fixed)

PowerPC BSP and Libcpu Fixes

Reported by: strauman Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: bsps Version: 4.6
Severity: major Keywords:
Cc: bugs@…, strauman@… Blocked By:
Blocking:

Description

* Till Straumann: 2003/03/21 (attachment 2)

  • At some point, CPU version 0xA was removed and the comment: "604r identical with 750" added.

I have a 604 CPU, however which reports as
0xA - therefore, I re-enabled the respective
'switch' cases. (note that this had been fixed
in part by attachment 0)

* Till Straumann: 2003/03/21 (attachment 1)

  • new patch fixes library dependency on the vmeUniverse driver. It is now possible to use the ppc/shared/irq code on non-VME BSPs without triggering linkage of the vmeUniverse driver (attachment 1)

* Till Straumann: 2003/02/18 (attachment 0)

I finally got the promised patches ready.
They are divided into different chunks -
however, some interdependency exists:

  • ppc-sharedbsp-pgtbl.diff

(makes the PPC/shared BSP use libcpu pagetable
support)
---> needs ppc-libcpu-misc.diff (pagetable support fix)

  • ppc-sharedbsp-vme.diff

(adds VME support to the PPC/shared BSP)
---> needs vmeUniverse.diff (vmeUniverse driver update)
---> needs a few lines (early init) from ppc-sharedbsp-pgtbl.diff

A header present in each of the patches describes
the individual patches purpose.

Release:
RTEMS-4.6 and CVS

Attachments (3)

ppc.tgz (36.8 KB) - added by strauman on Dec 3, 2006 at 1:31:12 PM.
ppc.tgz
ppc-cpuident.diff1 (1.8 KB) - added by strauman on Dec 3, 2006 at 1:31:12 PM.
ppc-cpuident.diff1
ppc-sharedbsp-vme.diff1 (2.9 KB) - added by strauman on Dec 3, 2006 at 1:31:12 PM.
ppc-sharedbsp-vme.diff1

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Feb 20, 2003 at 9:22:44 PM by Joel Sherrill

Status: assignedclosed

comment:2 Changed on Mar 21, 2003 at 9:38:02 PM by strauman

Status: closedassigned

comment:3 Changed on Mar 25, 2003 at 3:49:36 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: I think the two new patches are applied to both the

4.6 branch and the HEAD. I had a reject in the
bsp portion on an integer variable declaration.
I think I fixed it by hand correctly. If I broke
it again, just file a new PR. This confuses me. :)

Changed on Dec 3, 2006 at 1:31:12 PM by strauman

Attachment: ppc.tgz added

ppc.tgz

Note: See TracTickets for help on using tickets.